List workflow runs for a project
GET
/v1/projects/{projectId}/workflow-runscurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/workflow-runs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
查询参数
- pageSizenumber
Page size. Default 25, maximum 100. Values above the maximum are refused.
- pageTokenstring
Opaque page token from the previous response's `nextPageToken`.
响应
Success
- dataarray<object>必填
- statusstring必填
- recordingCountnumber必填
- workflowNamestring | null必填
- failureobject必填
- idstring必填
- projectIdstring | null必填
- modestring必填
- triggerstring | null必填
- runGroupIdstring | null必填
- estimateobject必填
- specHashstring | null必填
- errorCodestring | null必填
- createdAtstring | null必填
- startedAtstring | null必填
- finishedAtstring | null必填
- cancelRequestedAtstring | null必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"status": "string",
"recordingCount": 0,
"workflowName": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"id": "string",
"projectId": "string",
"mode": "string",
"trigger": "string",
"runGroupId": "string",
"estimate": {},
"specHash": "string",
"errorCode": "string",
"createdAt": "string",
"startedAt": "string",
"finishedAt": "string",
"cancelRequestedAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1